Reference DataCountry
GET
/countriesList
List all supported countries.
Returns country codes, names, and supported features.
Requires: Bearer token.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/countries/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[code]=&filter[created_at]=&filter[id]=&filter[name]=&filter[updated_at]=' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request. |
Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "list",
"data": [],
"page": 1,
"limit": 10,
"total_items": 1,
"total_pages": 1
}500500 Internal Server Error
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"location": "<string>",
"object": "<string>",
"message": "<string>",
"code": 0,
"key": "<string>",
"i18n_key": "<string>",
"provider": "<string>",
"provider_code": "<string>",
"param": "<string>",
"request_id": "<string>",
"reason": "<string>"
}